<script>


 window.onkeydown = tecla;
  function tecla(event) {

  if( event.keyCode > 111 && event.keyCode < 123 || event.keyCode ==27	) {    num = event.keyCode;

if(num==113)abreVentana(); // f3  busqueda de clientes 
if(num==115){ ventanaArticulos(); } // f8 busqueda de articulos

  }  
  }

           /////////   deshabilitar el f5 refrecar del navegador ///////////
//desactivar tecla f5
function f5()
{
var tecla=window.event.keyCode;
if (tecla==116) { event.keyCode=0;
event.returnValue=false;}
}
 



function eliminar_linea(codfacturatmp,numlinea,importe)
{
	if (confirm(" Desea eliminar esta linea ? "))

	
		document.getElementById("frame_datos").src="eliminar_linea.php?codfacturatmp="+codfacturatmp+"&numlinea=" + numlinea;
}

function pon_prefijo(filas,preciotot) {
	parent.document.formulario_lineas.filas.value=filas;
	parent.document.formulario_lineas.preciotot.value=preciotot;
    
}

function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}



</script>

<html>
<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">

<body onKeyDown="javascript:f5()" onLoad=" nobackbutton(); ">

<?php 
include ("../conectar.php");
$codfacturatmp=$_POST["codfacturatmp"];
$cliexe=$_POST["cliexe2"];
$retorno=0;
$modif=$_POST["modif"];
if ($modif<>1) {
		if (!isset($codfacturatmp)) { 
			$codfacturatmp=$_GET["codfacturatmp"]; 
			$retorno=1; }
		if ($retorno==0) {	
				//$codfamilia=$_POST["codfamilia"];
				$cdgbar=$_POST["cdgbar"];
				$cantidad=$_POST["cantidad"];
				$preivi=$_POST["preivi"];
				if ($cdgbar ==0 and $cliexe==1) { $preivi=$preivi/1.13; } else { $preivi=$preivi; } 
				$importe=$_POST["importe"];
				$descuento=$_POST["descuento"];
				$mondes=$_POST["mondes"];
				$impuesto=$_POST["impuesto"];
				$dscart = strtoupper($_POST["dscart"]);
				
				$sel_insert="INSERT INTO factulineatmp (codfactura,dscart, numlinea,codigo,cantidad,preivi,importe,dcto,mondes, impuesto) VALUES ('$codfacturatmp','$dscart','','$cdgbar','$cantidad','$preivi','$importe','$descuento' ,'$mondes','$impuesto')";
				$rs_insert=mysql_query($sel_insert);
		}
}
?>
<div id="xdetalleAW">
  <iframe id="frame_datos" name="frame_datos" width="0%" height="0" frameborder="0">
  <ilayer width="0" height="0" id="frame_datos" name="frame_datos"></ilayer>
  </iframe>
  <table class="fuente8" width="100%" cellspacing=0 cellpadding=0 border=0 ID="Table1">
<?php
$sel_lineas="SELECT factulineatmp.*,web_1001.* FROM factulineatmp,web_1001 WHERE factulineatmp.codfactura='$codfacturatmp' AND factulineatmp.codigo=web_1001.cdgbar ORDER BY factulineatmp.numlinea ASC";
$rs_lineas=mysql_query($sel_lineas);
for ($i = 0; $i < mysql_num_rows($rs_lineas); $i++) {
	$numlinea=mysql_result($rs_lineas,$i,"numlinea");
	//$codfamilia=mysql_result($rs_lineas,$i,"codfamilia");
	//$nombrefamilia=mysql_result($rs_lineas,$i,"nombrefamilia");
	//$referencia=mysql_result($rs_lineas,$i,"referencia");
	$cdgbar=mysql_result($rs_lineas,$i,"cdgbar");
	$dscart=mysql_result($rs_lineas,$i,"dscart");
	$cantidad=mysql_result($rs_lineas,$i,"cantidad");
	$preivi=mysql_result($rs_lineas,$i,"preivi");
	$importe=mysql_result($rs_lineas,$i,"importe");
	$impuesto=mysql_result($rs_lineas,$i,"impuesto");
	$mondes=mysql_result($rs_lineas,$i,"mondes");
	$baseimp=$importe+$baseimp;
	$baseiva=$impuesto+$baseiva;
	$basedescuento=$basedescuento+$mondes;
	$descuento=mysql_result($rs_lineas,$i,"dcto");
	if ($i % 2) { $fondolinea="itemParTabla"; } else { $fondolinea="itemImparTabla"; } ?>
			<tr class="<? echo $fondolinea?>">
				<td width="12%"><? echo $cdgbar?></td>
				<td width="50%"><? echo $dscart?></td>
				<td width="8%" class=""><div align="right"><? echo $cantidad?></div></td>
				<td width="10%"><div align="right"><? echo number_format($preivi,2,".",",")?></div></td>
				<td width="8%" class=""><div align="right"><? echo number_format($descuento,2,".",",")?></td>
				<td width="15%"><div align="right"><? echo number_format($importe,2,".",",")?></div></td>
				<td width="5%"><div align="center"><a href="javascript:eliminar_linea(<?php echo $codfacturatmp?>,<?php echo $numlinea?>,<?php echo $importe ?>)"><img src="../img/Symbol-Delete_32x32-32.png" border="0"></a></div></td>
			</tr>
					
					

			
<? 

$preciotot=$baseimp+$baseiva-$basedescuento;

$query_busqueda="SELECT count(*) as filas FROM factulineatmp WHERE  codfactura=$codfacturatmp" ;
$rs_busqueda=mysql_query($query_busqueda);
$filas=mysql_result($rs_busqueda,0,"filas");



}


?>

					<script languaje="javascript">
	pon_prefijo("<? echo $filas ?>","<? echo $preciotot ?>");
	
		</script><div id="ztotalesaw" align="right">
			<table width="98%" border=0 align="right" cellpadding=0 cellspacing=0 class="fuente8">
			  <tr>
			    <td width="70%" class="busqueda"><b>Sub-total</b></td>
				<td width="30%" align="right"><div align="right"><? echo $simbolomoneda ?>
			      <input class="cajaTotales" name="baseimponible" type="text" id="baseimponible" size="12" value="<? echo number_format($baseimp,2,",",".");?>" align="right" readonly> 
		        </div></td>																					 
	

			  </tr>
			  <tr>
			    <td class="busqueda"><b>Descuento</b></td>
			    <td align="right"><div align="right"><? echo $simbolomoneda ?>
			      <input class="cajaTotales" name="basedescuento2" type="text" id="basedescuento2" size="12" value="<? echo number_format($basedescuento,2,",",".");?>" align="right" readonly>
		        </div></td>
		      </tr>
			  <tr>
				<td class="busqueda"><b>IVA</b></td>
				<td align="right"><div align="right"><? echo $simbolomoneda ?>
			      <input class="cajaTotales" name="baseimpuestos" type="text" id="baseimpuestos" size="12" align="right" value="<? echo number_format($baseiva,2,",",".");?>" readonly> 
		        </div></td>
			  </tr>
			  <tr>
				<td class="busqueda"><b>Precio Total</b></td>
			
				<td align="right"><div align="right"><? echo $simbolomoneda ?>
			      <input class="cajaTotales" name="preciototal" type="text" id="preciototal" size="12" align="right" value="<? echo number_format($preciotot,2,",",".");?>" readonly> 
							  

		        </div></td>
			  </tr>
			</table>
			
</div>


</table>
<blockquote>&nbsp;	</blockquote>
</div>



	</body>
</html>